#include "MPU9250.h"

MPU9250 IMU(Wire,0x68);
int status;

void setup()
{
  Serial.begin(115200);
  while(!Serial) {}

  status = IMU.begin();
  if (status < 0)
  {
    Serial.print("IMU Error: ");
    Serial.println(status);
    while(1) { }
  }
}

void writeulong(unsigned long x)
{
  Serial.print(x, HEX);
  Serial.print(" ");
}

void writefloat(float x)
{
  byte* ptr = (byte*)&x;
  Serial.print(ptr[3], HEX);
  Serial.print(ptr[2], HEX);
  Serial.print(ptr[1], HEX);
  Serial.print(ptr[0], HEX);
  Serial.print(" ");
}

void loop()
{
  IMU.readSensor();
  Serial.print("=");
  writeulong(micros());
  writefloat(IMU.getAccelX_mss());
  writefloat(IMU.getAccelY_mss());
  writefloat(IMU.getAccelZ_mss());
  writefloat(IMU.getGyroX_rads());
  writefloat(IMU.getGyroY_rads());
  writefloat(IMU.getGyroZ_rads());
  Serial.println();
  delay(20);
}
